{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Detail Berita
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1000px;">
        <div>
            <div style="height: 50px;"></div>
            <div style="color: #011936;">
                <div>
                    <a href="/berita"><button style="color: #FFFCF9;" type="button" class="btn btn-primary">Kembali Ke Daftar</button></a>
                    {%if user.is_authenticated%}
                    {% if request.user|has_group:"maintainer" %} 
                    <a href="/berita/edit-form/{{ berita.pk }}"><button style="color: #011936; background-color: #B1EDE8;" type="button" class="btn btn-info">Edit Artikel</button></a>
                    <!--<button style="color: #011936;" type="button" class="btn btn-danger">Hapus Artikel</button>-->
                    <!-- Button trigger modal -->
                    <button style="color: #FFFCF9;" type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Hapus Artikel
                    </button>
                    {%endif%}
                    {%endif%}
                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <h5>Are you really sure you want to delete this article???</h5>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                            <a href="/berita/delete/{{berita.pk}}"><button type="button" class="btn btn-danger">Yes, Delete!</button></a>
                        </div>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
            <div style="height: 20px;"></div>
            <h1 class="text-center" style="font-weight: bolder;">{{ berita.judul_artikel }}</h1>
            <div style="height: 50px;"></div>
            <div class="text-center">
                <img src="{{ berita.tautan_ke_gambar }}" alt="Tautan gambar yang diberikan tidak bisa diakses">
            </div>
            <div style="height: 20px;"></div>
            <div>
                <h6 style="font-weight: bold;">{{ berita.tanggal }}</h6>
                <h5 style="font-weight: bold;">Penulis: {{ berita.penulis }}</h5>
            </div>
            <div style="height: 20px;"></div>
            <div id="body">
                <p>{{ berita.isi_artikel }}</p>
                <br>
                <p>sumber: {{ berita.sumber }}</p>
            </div>
        </div>
    </div>
{% endblock content %}
{% block script %}
{% endblock script %}